package org.eclipse.jdt.internal.compiler.apt.dispatch;

package .tmp;

import java.io.IOException;
import java.io.OutputStream;
import org.eclipse.jdt.internal.compiler.apt.dispatch.HookedJavaFileObject;

class ForwardingOutputStream extends OutputStream {
  private final OutputStream _os;
  
  ForwardingOutputStream(OutputStream os) {
    this._os = os;
  }
  
  public void close() throws IOException {
    this._os.close();
    HookedJavaFileObject.this.closed();
  }
  
  public void flush() throws IOException {
    this._os.flush();
  }
  
  public void write(byte[] b, int off, int len) throws IOException {
    this._os.write(b, off, len);
  }
  
  public void write(byte[] b) throws IOException {
    this._os.write(b);
  }
  
  public void write(int b) throws IOException {
    this._os.write(b);
  }
  
  protected Object clone() throws CloneNotSupportedException {
    return new ForwardingOutputStream(this._os);
  }
  
  public int hashCode() {
    return this._os.hashCode();
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null)
      return false; 
    if (getClass() != obj.getClass())
      return false; 
    ForwardingOutputStream other = (ForwardingOutputStream)obj;
    if (this._os == null) {
      if (other._os != null)
        return false; 
    } else if (!this._os.equals(other._os)) {
      return false;
    } 
    return true;
  }
  
  public String toString() {
    return "ForwardingOutputStream wrapping " + this._os.toString();
  }
}
